Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052518 - Linearstore: Empty file recycling not functional
Summary: Linearstore: Empty file recycling not functional
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: Development
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: 3.0
: ---
Assignee: Kim van der Riet
QA Contact: Zdenek Kraus
URL:
Whiteboard:
Depends On:
Blocks: 709325
TreeView+ depends on / blocked
 
Reported: 2014-01-13 21:22 UTC by Kim van der Riet
Modified: 2015-01-21 12:57 UTC (History)
5 users (show)

Fixed In Version: qpid-cpp-0.22-33
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 12:57:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-5357 None None None Never

Description Kim van der Riet 2014-01-13 21:22:31 UTC
The linearstore recycles journal files into an empty file pool (EFP) when there are no remaining undequeued records present in the file. The mechanism to recycle these files is not functional, and needs some development work.

Comment 1 Kim van der Riet 2014-01-13 21:23:21 UTC
Upstream bug: https://issues.apache.org/jira/browse/QPID-5357

Comment 2 Kim van der Riet 2014-01-13 21:25:34 UTC
Fixed in r.1545563

Comment 3 Zdenek Kraus 2014-02-25 06:45:09 UTC
Tested on RHEL 6.5 i686 and x86_64 with following packages:

perl-qpid-0.22-7.el6
python-qpid-0.22-11.el6
python-qpid-qmf-0.22-27.el6
qpid-cpp-client-0.22-35.el6
qpid-cpp-client-devel-0.22-35.el6
qpid-cpp-client-devel-docs-0.22-35.el6
qpid-cpp-debuginfo-0.22-35.el6
qpid-cpp-server-0.22-35.el6
qpid-cpp-server-devel-0.22-35.el6
qpid-cpp-server-ha-0.22-35.el6
qpid-cpp-server-linearstore-0.22-35.el6
qpid-cpp-server-xml-0.22-35.el6
qpid-java-client-0.22-6.el6
qpid-java-common-0.22-6.el6
qpid-java-example-0.22-6.el6
qpid-jca-0.22-2.el6
qpid-jca-xarecovery-0.22-2.el6
qpid-proton-c-0.6-1.el6
qpid-proton-c-devel-0.6-1.el6
qpid-qmf-0.22-27.el6
qpid-snmpd-1.0.0-15.el6
qpid-tools-0.22-8.el6
rh-qpid-cpp-tests-0.22-35.el6
ruby-qpid-qmf-0.22-27.el6

This feature was tested and it works as expected

-> VERIFIED

Comment 4 Zdenek Kraus 2014-03-11 05:29:40 UTC
Due to fix in Bug 1053749, EFP recycling need to be retested, with 0.22-36

-> ON_QA

Comment 5 Zdenek Kraus 2014-03-13 08:55:55 UTC
Retested with following packages:

perl-qpid-0.22-11.el6
python-qpid-0.22-12.el6
python-qpid-qmf-0.22-28.el6
qpid-cpp-client-0.22-36.el6
qpid-cpp-client-devel-0.22-36.el6
qpid-cpp-client-devel-docs-0.22-36.el6
qpid-cpp-debuginfo-0.22-36.el6
qpid-cpp-server-0.22-36.el6
qpid-cpp-server-devel-0.22-36.el6
qpid-cpp-server-ha-0.22-36.el6
qpid-cpp-server-linearstore-0.22-36.el6
qpid-cpp-server-xml-0.22-36.el6
qpid-java-client-0.22-6.el6
qpid-java-common-0.22-6.el6
qpid-java-example-0.22-6.el6
qpid-jca-0.22-2.el6
qpid-jca-xarecovery-0.22-2.el6
qpid-proton-c-0.6-1.el6
qpid-proton-c-devel-0.6-1.el6
qpid-proton-debuginfo-0.6-1.el6
qpid-qmf-0.22-28.el6
qpid-qmf-debuginfo-0.22-28.el6
qpid-snmpd-1.0.0-16.el6
qpid-snmpd-debuginfo-1.0.0-16.el6
qpid-tools-0.22-9.el6
ruby-qpid-qmf-0.22-28.el6


-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.